package com.sqx.modules.artificer.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.ArtificerMassage;
import com.sqx.modules.artificer.entity.CollectArtificer;
import org.apache.ibatis.annotations.Param;

public interface CollectArtificerService extends IService<CollectArtificer> {

    Result insertCollect(CollectArtificer collectArtificer);

    CollectArtificer selectCollectArtificerByUserId(Long userId,Long artificerId,Integer classify);

    Result selectCollectList(Long userId,Integer page,Integer limit,String longitude,String latitude);

    int selectCountByUserId(Long artificerId,  String startTime,String endTime);
}